Name:		plzip
Version:	1.1
Release:	1
Summary:	Parallel LZMA Data Compressor
URL:		http://www.nongnu.org/lzip/plzip.html
Group:		Productivity/Archiving/Compression
License:	GNU General Public License version 3 (GPL v3)
Source0:	http://download.savannah.gnu.org/releases/lzip/%{name}-%{version}.tar.gz
Source1:	http://download.savannah.gnu.org/releases/lzip/%{name}-%{version}.tar.gz.sig
Patch0:		%{name}-%{version}-aix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	coreutils, make
BuildRequires:	lzlib-devel >= 1.5
Requires:	lzlib >= 1.5
Requires:	/sbin/install-info, info

%description
Plzip is a parallel version of the lzip data compressor. The files
produced by plzip are fully compatible with lzip-1.4 or newer. Plzip
is intended for faster compression/decompression of big files on
multiprocessor machines.

Lzip is a lossless data compressor based on the LZMA algorithm, with
very safe integrity checking and a user interface similar to the one
of gzip or bzip2. Lzip decompresses almost as fast as gzip and
compresses better than bzip2, which makes it well suited for software
distribution and data archiving.


%prep
%setup -q
%patch0


%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    CC="${CC}" \
    CFLAGS="${CFLAGS}" \
    CXX="${CXX}" \
    CXXFLAGS="${CXXFLAGS}"

make


%install
export PATH=/opt/freeware/bin:$PATH

[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

gzip -9 ${RPM_BUILD_ROOT}%{_infodir}/*.info

mkdir -p ${RPM_BUILD_ROOT}/usr/bin
cd ${RPM_BUILD_ROOT}/usr/bin
ln -s ../..%{_bindir}/* .


%post
/sbin/install-info %{_infodir}/%{name}.info.gz %{_infodir}/dir || :


%preun
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/%{name}.info.gz %{_infodir}/dir || :
fi


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/*
%{_infodir}/plzip.info*
%{_mandir}/man1/plzip.1*
/usr/bin/*


%changelog
* Mon Sep 30 2013 Michael Perzl <michael@perzl.org> - 1.1-1
- first version for AIX V5.1 and higher
